## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryNestedImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionBodyImpl
                              org.eclipse.datatools.modelbase.sql.query.impl.QueryNestedImpl

All Implemented Interfaces:
  QueryExpressionBody, QueryNested, SQLQueryObject, TableExpression, TableReference, SQLObject

    public class QueryNestedImpl

extends QueryExpressionBodyImpl
implements QueryNested

An implementation of the model object 'Query Nested'.

The following features are implemented:

- `Nested Query`

Method Summary
`NotificationChain` `basicSetNestedQuery(QueryExpressionBody newNestedQuery, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QueryExpressionBody` `getNestedQuery()`
`void` `setNestedQuery(QueryExpressionBody newNestedQuery)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionBodyImpl

`basicSetCombinedLeft, basicSetCombinedRight, basicSetPredicateExists, basicSetQueryExpression, basicSetQueryNest, basicSetUpdateSourceQuery, basicSetWithTableSpecification, eBasicRemoveFromContainerFeature, getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getQueryNest, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setQueryNest, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
`basicSetTableCorrelation, getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`basicSetNest, basicSetQuerySelect, basicSetTableJoinedLeft, basicSetTableJoinedRight, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryExpressionBody
`getCombinedLeft, getCombinedRight, getPredicateExists, getQueryExpression, getQueryNest, getUpdateSourceQuery, getWithTableSpecification, setCombinedLeft, setCombinedRight, setPredicateExists, setQueryExpression, setQueryNest, setUpdateSourceQuery, setWithTableSpecification`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getNestedQuery

    public QueryExpressionBody getNestedQuery()

  Specified by:
    `getNestedQuery` in interface `QueryNested`
  Returns:
    the value of the 'Nested Query' containment reference.
  See Also:
    `QueryNested.setNestedQuery(QueryExpressionBody)`, `SQLQueryModelPackage.getQueryNested_NestedQuery()`, `QueryExpressionBody.getQueryNest()`

### basicSetNestedQuery

    public NotificationChain basicSetNestedQuery(QueryExpressionBody newNestedQuery,
                                                 NotificationChain msgs)

### setNestedQuery

    public void setNestedQuery(QueryExpressionBody newNestedQuery)

  Specified by:
    `setNestedQuery` in interface `QueryNested`
  Parameters:
    `newNestedQuery` - the new value of the 'Nested Query' containment reference.
  See Also:
    `QueryNested.getNestedQuery()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QueryExpressionBodyImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QueryExpressionBodyImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `QueryExpressionBodyImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `QueryExpressionBodyImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `QueryExpressionBodyImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `QueryExpressionBodyImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.